Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.framework
Class EntityQuery

    java.lang.Object
      org.jboss.seam.framework.Controller
          org.jboss.seam.framework.PersistenceController<T>
              org.jboss.seam.framework.Query<javax.persistence.EntityManager>
                  org.jboss.seam.framework.EntityQuery

All Implemented Interfaces:
  Serializable

    public class EntityQuery

extends Query<javax.persistence.EntityManager>

A Query object for JPA.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`EntityQuery()`

Method Summary
`protected javax.persistence.Query` | `createCountQuery()`
`protected javax.persistence.Query` | `createQuery()`
`javax.persistence.EntityManager` | `getEntityManager()`
`Map<String,String>` | `getHints()`
`protected String` | `getPersistenceContextName()`
`Long` | `getResultCount()`
`List` | `getResultList()`
`Object` | `getSingleResult()`
`void` | `refresh()`
`void` | `setEntityManager(javax.persistence.EntityManager entityManager)`
`void` | `setHints(Map<String,String> hints)`
`void` | `validate()`

Methods inherited from class org.jboss.seam.framework.Query
`clearDataModel, evaluateAllParameters, first, getCountEjbql, getDataModel, getEjbql, getFirstResult, getLastFirstResult, getMaxResults, getNextFirstResult, getOrder, getPreviousFirstResult, getQueryParameters, getQueryParameterValues, getRenderedEjbql, getRestrictionParameters, getRestrictionParameterValues, getRestrictions, isAnyParameterDirty, isNextExists, isPreviousExists, isRestrictionParameterSet, last, next, parseEjbql, previous, setEjbql, setFirstResult, setMaxResults, setOrder, setQueryParameterValues, setRestrictionParameterValues, setRestrictions`

Methods inherited from class org.jboss.seam.framework.PersistenceController
`getPersistenceContext, setPersistenceContext`

Methods inherited from class org.jboss.seam.framework.Controller
`addCookie, addFacesMessage, addFacesMessageFromResourceBundle, debug, debug, error, error, failValidation, fatal, fatal, getApplicationContext, getBusinessProcessContext, getComponentInstance, getComponentInstance, getConversation, getConversationContext, getCookie, getEventContext, getEvents, getFacesContext, getFacesMessages, getIdentity, getLog, getMessages, getMethodContext, getPageContext, getRedirect, getSessionContext, getValidator, info, info, interpolate, invalidateSession, isTransactionMarkedRollback, raiseAsynchronousEvent, raiseEvent, raiseTransactionSuccessEvent, render, sendHttpError, sendHttpError, trace, trace, validationFailed, validationSucceeded, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityQuery

    public EntityQuery()

Method Detail

### validate

    public void validate()

  Overrides:
    `validate` in class `Query<javax.persistence.EntityManager>`

### getResultList

    @Transactional
    public List getResultList()

  Specified by:
    `getResultList` in class `Query<javax.persistence.EntityManager>`

### getSingleResult

    @Transactional
    public Object getSingleResult()

  Specified by:
    `getSingleResult` in class `Query<javax.persistence.EntityManager>`

### getResultCount

    @Transactional
    public Long getResultCount()

  Specified by:
    `getResultCount` in class `Query<javax.persistence.EntityManager>`

### refresh

    public void refresh()

  Overrides:
    `refresh` in class `Query<javax.persistence.EntityManager>`

### getEntityManager

    public javax.persistence.EntityManager getEntityManager()

### setEntityManager

    public void setEntityManager(javax.persistence.EntityManager entityManager)

### getPersistenceContextName

    protected String getPersistenceContextName()

  Specified by:
    `getPersistenceContextName` in class `PersistenceController<javax.persistence.EntityManager>`

### createQuery

    protected javax.persistence.Query createQuery()

### createCountQuery

    protected javax.persistence.Query createCountQuery()

### getHints

    public Map<String,String> getHints()

### setHints

    public void setHints(Map<String,String> hints)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD